Subject: Re: mv88e6xxx: 2500base-x inband AN is broken on Amethyst? what to do?

From: Russell King - ARM Linux admin <[email-masked]>
Date: Wed, 13 Jan 2021 21:48:00 +0000

On Wed, Jan 13, 2021 at 10:37:29PM +0100, Marek Behún wrote:
> On Wed, 13 Jan 2021 21:21:25 +0000
> Russell King - ARM Linux admin <[email-masked]> wrote:
> > One thing that I don't know is whether the GPON SFP ONT modules that
> > use 2500base-x will still function with AN disabled - although I have
> > the modules, it appeared that they both needed a connection to the ONU
> > to switch from 1000base-x to 2500base-x on the host side - and as I
> > don't have an ONU I can test with, I have no way to check their
> > behaviour.
> 
> We have an ISP here in Prague who is willing to lend us some GPON
> ONU devices to get GPON SFP modules work on Turris. I will ask him if he
> has one capable of 2.5g and try to borrow it.

I know the Huawei MA5671A and the Nokia 3FE46541AA are - see the quirks
table in sfp-bus.c ! They come from an ISP on the American continent
who really really wanted these modules to link at 2.5Gbps.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!